## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ExecutionContext Class Reference

`#include <ExecutionContext.hpp>`

Inheritance diagram for ExecutionContext:

[legend]
List of all members.

## Public Methods

- ExecutionContext ()
- virtual ~ExecutionContext ()
- virtual void error (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report an error and throw an exception. More...
- virtual void error (const char *msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report an error and throw an exception. More...
- virtual void warn (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report a warning. More...
- virtual void warn (const char *msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Report a warning. More...
- virtual void message (const XalanDOMString &msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Output a message. More...
- virtual void message (const char *msg, const XalanNode *sourceNode=0, const LocatorType *locator=0) const=0
    Output a message. More...

## Constructor & Destructor Documentation

ExecutionContext::ExecutionContext ( | )`[explicit]`

ExecutionContext::~ExecutionContext ( | )`[virtual]`

## Member Function Documentation

void ExecutionContext::error ( | const char * msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.
Reimplemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

void ExecutionContext::error ( | const XalanDOMString & msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Report an error and throw an exception. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the error occurred. May be 0.
  locator | A Locator to determine where the error occurred. May be 0.
Reimplemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

void ExecutionContext::message ( | const char * msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Output a message. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.
Reimplemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

void ExecutionContext::message ( | const XalanDOMString & msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Output a message. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the message occurred. May be 0.
  locator | A Locator to determine where the message occurred. May be 0.
Reimplemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

void ExecutionContext::warn ( | const char * msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.
Reimplemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

void ExecutionContext::warn ( | const XalanDOMString & msg,
| const XalanNode * sourceNode = 0,
| const LocatorType * locator = 0 ) const`[pure virtual]`

  | Report a warning. Parameters:
  msg | The text of the message.
  sourceNode | The source node where the warning occurred. May be 0.
  locator | A Locator to determine where the warning occurred. May be 0.
Reimplemented in XPathExecutionContext, XPathExecutionContextDefault, StylesheetExecutionContext, and StylesheetExecutionContextDefault.

The documentation for this class was generated from the following file:

- ExecutionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.